OrcProto.Metadata.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.Metadata.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.Metadata.Builder>
      - - org.apache.orc.OrcProto.Metadata.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.MetadataOrBuilder
  Enclosing class:
    OrcProto.Metadata

      public static final class OrcProto.Metadata.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.Metadata.Builder>
      implements OrcProto.MetadataOrBuilder

  Protobuf type `orc.proto.Metadata`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.Metadata.Builder` | `addAllStripeStats(Iterable<? extends OrcProto.StripeStatistics> values)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `OrcProto.Metadata.Builder` | `addStripeStats(int index, OrcProto.StripeStatistics.Builder builderForValue)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `OrcProto.Metadata.Builder` | `addStripeStats(int index, OrcProto.StripeStatistics value)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `OrcProto.Metadata.Builder` | `addStripeStats(OrcProto.StripeStatistics.Builder builderForValue)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `OrcProto.Metadata.Builder` | `addStripeStats(OrcProto.StripeStatistics value)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `OrcProto.StripeStatistics.Builder` | `addStripeStatsBuilder()` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `OrcProto.StripeStatistics.Builder` | `addStripeStatsBuilder(int index)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `OrcProto.Metadata` | `build()`
    `OrcProto.Metadata` | `buildPartial()`
    `OrcProto.Metadata.Builder` | `clear()`
    `OrcProto.Metadata.Builder` | `clearStripeStats()` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `OrcProto.Metadata.Builder` | `clone()`
    `OrcProto.Metadata` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `OrcProto.StripeStatistics` | `getStripeStats(int index)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `OrcProto.StripeStatistics.Builder` | `getStripeStatsBuilder(int index)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `List<OrcProto.StripeStatistics.Builder>` | `getStripeStatsBuilderList()` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `int` | `getStripeStatsCount()` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `List<OrcProto.StripeStatistics>` | `getStripeStatsList()` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `OrcProto.StripeStatisticsOrBuilder` | `getStripeStatsOrBuilder(int index)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `List<? extends OrcProto.StripeStatisticsOrBuilder>` | `getStripeStatsOrBuilderList()` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.Metadata.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.Metadata.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.Metadata.Builder` | `mergeFrom(OrcProto.Metadata other)`
    `OrcProto.Metadata.Builder` | `removeStripeStats(int index)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `OrcProto.Metadata.Builder` | `setStripeStats(int index, OrcProto.StripeStatistics.Builder builderForValue)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `OrcProto.Metadata.Builder` | `setStripeStats(int index, OrcProto.StripeStatistics value)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Metadata.Builder>`

    - #### clear

          public OrcProto.Metadata.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Metadata.Builder>`

    - #### clone

          public OrcProto.Metadata.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Metadata.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Metadata.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.Metadata getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.Metadata build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.Metadata buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.Metadata.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.Metadata.Builder>`

    - #### mergeFrom

          public OrcProto.Metadata.Builder mergeFrom(OrcProto.Metadata other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.Metadata.Builder>`

    - #### mergeFrom

          public OrcProto.Metadata.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                              throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.Metadata.Builder>`
      Throws:
        `IOException`

    - #### getStripeStatsList

          public List<OrcProto.StripeStatistics> getStripeStatsList()

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`
      Specified by:
        `getStripeStatsList` in interface `OrcProto.MetadataOrBuilder`

    - #### getStripeStatsCount

          public int getStripeStatsCount()

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`
      Specified by:
        `getStripeStatsCount` in interface `OrcProto.MetadataOrBuilder`

    - #### getStripeStats

          public OrcProto.StripeStatistics getStripeStats(int index)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`
      Specified by:
        `getStripeStats` in interface `OrcProto.MetadataOrBuilder`

    - #### setStripeStats

          public OrcProto.Metadata.Builder setStripeStats(int index,
                                                          OrcProto.StripeStatistics value)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### setStripeStats

          public OrcProto.Metadata.Builder setStripeStats(int index,
                                                          OrcProto.StripeStatistics.Builder builderForValue)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### addStripeStats

          public OrcProto.Metadata.Builder addStripeStats(OrcProto.StripeStatistics value)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### addStripeStats

          public OrcProto.Metadata.Builder addStripeStats(int index,
                                                          OrcProto.StripeStatistics value)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### addStripeStats

          public OrcProto.Metadata.Builder addStripeStats(OrcProto.StripeStatistics.Builder builderForValue)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### addStripeStats

          public OrcProto.Metadata.Builder addStripeStats(int index,
                                                          OrcProto.StripeStatistics.Builder builderForValue)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### addAllStripeStats

          public OrcProto.Metadata.Builder addAllStripeStats(Iterable<? extends OrcProto.StripeStatistics> values)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### clearStripeStats

          public OrcProto.Metadata.Builder clearStripeStats()

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### removeStripeStats

          public OrcProto.Metadata.Builder removeStripeStats(int index)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### getStripeStatsBuilder

          public OrcProto.StripeStatistics.Builder getStripeStatsBuilder(int index)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### getStripeStatsOrBuilder

          public OrcProto.StripeStatisticsOrBuilder getStripeStatsOrBuilder(int index)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`
      Specified by:
        `getStripeStatsOrBuilder` in interface `OrcProto.MetadataOrBuilder`

    - #### getStripeStatsOrBuilderList

          public List<? extends OrcProto.StripeStatisticsOrBuilder> getStripeStatsOrBuilderList()

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`
      Specified by:
        `getStripeStatsOrBuilderList` in interface `OrcProto.MetadataOrBuilder`

    - #### addStripeStatsBuilder

          public OrcProto.StripeStatistics.Builder addStripeStatsBuilder()

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### addStripeStatsBuilder

          public OrcProto.StripeStatistics.Builder addStripeStatsBuilder(int index)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### getStripeStatsBuilderList

          public List<OrcProto.StripeStatistics.Builder> getStripeStatsBuilderList()

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.